## gov.usgs.earthquake.event
Class EventQuery

    java.lang.Object
      gov.usgs.earthquake.event.EventQuery

    public class EventQuery

extends java.lang.Object

Event Query class. Represents search parameters available for the earthquake event webservice. See http://comcat.cr.usgs.gov/fdsnws/event/1/ for additional documentation.

Constructor Summary
`EventQuery()` Construct a blank EventQuery.

Method Summary
`AlertLevel` `getAlertLevel()`
`java.lang.String` `getCatalog()`
`java.lang.String` `getContributor()`
`java.util.Date` `getEndTime()`
`java.lang.String` `getEventId()`
`java.lang.String` `getEventType()`
`Format` `getFormat()`
`java.lang.Boolean` `getIncludeAllMagnitudes()`
`java.lang.Boolean` `getIncludeAllOrigins()`
`java.lang.Boolean` `getIncludeArrivals()`
`java.lang.Boolean` `getKmlAnimated()`
`KmlColorBy` `getKmlColorBy()`
`java.math.BigDecimal` `getLatitude()`
`java.lang.Integer` `getLimit()`
`java.math.BigDecimal` `getLongitude()`
`java.lang.String` `getMagnitudeType()`
`java.math.BigDecimal` `getMaxCdi()`
`java.math.BigDecimal` `getMaxDepth()`
`java.math.BigDecimal` `getMaxGap()`
`java.math.BigDecimal` `getMaxLatitude()`
`java.math.BigDecimal` `getMaxLongitude()`
`java.math.BigDecimal` `getMaxMagnitude()`
`java.math.BigDecimal` `getMaxMmi()`
`java.math.BigDecimal` `getMaxRadius()`
`java.math.BigDecimal` `getMaxSig()`
`java.math.BigDecimal` `getMinCdi()`
`java.math.BigDecimal` `getMinDepth()`
`java.lang.Integer` `getMinFelt()`
`java.math.BigDecimal` `getMinGap()`
`java.math.BigDecimal` `getMinLatitude()`
`java.math.BigDecimal` `getMinLongitude()`
`java.math.BigDecimal` `getMinMagnitude()`
`java.math.BigDecimal` `getMinMmi()`
`java.math.BigDecimal` `getMinRadius()`
`java.math.BigDecimal` `getMinSig()`
`java.lang.Integer` `getOffset()`
`OrderBy` `getOrderBy()`
`java.lang.String` `getProductType()`
`ReviewStatus` `getReviewStatus()`
`java.util.Date` `getStartTime()`
`java.util.Date` `getUpdatedAfter()`
`void` `setAlertLevel(AlertLevel in)`
`void` `setCatalog(java.lang.String in)`
`void` `setContributor(java.lang.String in)`
`void` `setEndTime(java.util.Date in)`
`void` `setEventId(java.lang.String in)`
`void` `setEventType(java.lang.String in)`
`void` `setFormat(Format in)`
`void` `setIncludeAllMagnitudes(java.lang.Boolean in)`
`void` `setIncludeAllOrigins(java.lang.Boolean in)`
`void` `setIncludeArrivals(java.lang.Boolean in)`
`void` `setKmlAnimated(java.lang.Boolean in)`
`void` `setKmlColorBy(KmlColorBy in)`
`void` `setLatitude(java.math.BigDecimal in)`
`void` `setLimit(java.lang.Integer in)`
`void` `setLongitude(java.math.BigDecimal in)`
`void` `setMagnitudeType(java.lang.String in)`
`void` `setMaxCdi(java.math.BigDecimal in)`
`void` `setMaxDepth(java.math.BigDecimal in)`
`void` `setMaxGap(java.math.BigDecimal in)`
`void` `setMaxLatitude(java.math.BigDecimal in)`
`void` `setMaxLongitude(java.math.BigDecimal in)`
`void` `setMaxMagnitude(java.math.BigDecimal in)`
`void` `setMaxMmi(java.math.BigDecimal in)`
`void` `setMaxRadius(java.math.BigDecimal in)`
`void` `setMaxSig(java.math.BigDecimal in)`
`void` `setMinCdi(java.math.BigDecimal in)`
`void` `setMinDepth(java.math.BigDecimal in)`
`void` `setMinFelt(java.lang.Integer in)`
`void` `setMinGap(java.math.BigDecimal in)`
`void` `setMinLatitude(java.math.BigDecimal in)`
`void` `setMinLongitude(java.math.BigDecimal in)`
`void` `setMinMagnitude(java.math.BigDecimal in)`
`void` `setMinMmi(java.math.BigDecimal in)`
`void` `setMinRadius(java.math.BigDecimal in)`
`void` `setMinSig(java.math.BigDecimal in)`
`void` `setOffset(java.lang.Integer in)`
`void` `setOrderBy(OrderBy in)`
`void` `setProductType(java.lang.String in)`
`void` `setReviewStatus(ReviewStatus in)`
`void` `setStartTime(java.util.Date in)`
`void` `setUpdatedAfter(java.util.Date in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventQuery

    public EventQuery()

  Construct a blank EventQuery.

Method Detail

### getStartTime

    public java.util.Date getStartTime()

### getEndTime

    public java.util.Date getEndTime()

### getUpdatedAfter

    public java.util.Date getUpdatedAfter()

### getLatitude

    public java.math.BigDecimal getLatitude()

### getLongitude

    public java.math.BigDecimal getLongitude()

### getMinRadius

    public java.math.BigDecimal getMinRadius()

### getMaxRadius

    public java.math.BigDecimal getMaxRadius()

### getMinLatitude

    public java.math.BigDecimal getMinLatitude()

### getMaxLatitude

    public java.math.BigDecimal getMaxLatitude()

### getMinLongitude

    public java.math.BigDecimal getMinLongitude()

### getMaxLongitude

    public java.math.BigDecimal getMaxLongitude()

### getMinDepth

    public java.math.BigDecimal getMinDepth()

### getMaxDepth

    public java.math.BigDecimal getMaxDepth()

### getMinMagnitude

    public java.math.BigDecimal getMinMagnitude()

### getMaxMagnitude

    public java.math.BigDecimal getMaxMagnitude()

### getMinMmi

    public java.math.BigDecimal getMinMmi()

### getMaxMmi

    public java.math.BigDecimal getMaxMmi()

### getMinCdi

    public java.math.BigDecimal getMinCdi()

### getMaxCdi

    public java.math.BigDecimal getMaxCdi()

### getMinGap

    public java.math.BigDecimal getMinGap()

### getMaxGap

    public java.math.BigDecimal getMaxGap()

### getMinSig

    public java.math.BigDecimal getMinSig()

### getMaxSig

    public java.math.BigDecimal getMaxSig()

### getLimit

    public java.lang.Integer getLimit()

### getOffset

    public java.lang.Integer getOffset()

### getMinFelt

    public java.lang.Integer getMinFelt()

### getMagnitudeType

    public java.lang.String getMagnitudeType()

### getEventId

    public java.lang.String getEventId()

### getEventType

    public java.lang.String getEventType()

### getCatalog

    public java.lang.String getCatalog()

### getContributor

    public java.lang.String getContributor()

### getProductType

    public java.lang.String getProductType()

### getIncludeAllOrigins

    public java.lang.Boolean getIncludeAllOrigins()

### getIncludeAllMagnitudes

    public java.lang.Boolean getIncludeAllMagnitudes()

### getIncludeArrivals

    public java.lang.Boolean getIncludeArrivals()

### getKmlAnimated

    public java.lang.Boolean getKmlAnimated()

### getOrderBy

    public OrderBy getOrderBy()

### getFormat

    public Format getFormat()

### getKmlColorBy

    public KmlColorBy getKmlColorBy()

### getReviewStatus

    public ReviewStatus getReviewStatus()

### getAlertLevel

    public AlertLevel getAlertLevel()

### setStartTime

    public void setStartTime(java.util.Date in)

### setEndTime

    public void setEndTime(java.util.Date in)

### setUpdatedAfter

    public void setUpdatedAfter(java.util.Date in)

### setLatitude

    public void setLatitude(java.math.BigDecimal in)

### setLongitude

    public void setLongitude(java.math.BigDecimal in)

### setMinRadius

    public void setMinRadius(java.math.BigDecimal in)

### setMaxRadius

    public void setMaxRadius(java.math.BigDecimal in)

### setMinLatitude

    public void setMinLatitude(java.math.BigDecimal in)

### setMaxLatitude

    public void setMaxLatitude(java.math.BigDecimal in)

### setMinLongitude

    public void setMinLongitude(java.math.BigDecimal in)

### setMaxLongitude

    public void setMaxLongitude(java.math.BigDecimal in)

### setMinDepth

    public void setMinDepth(java.math.BigDecimal in)

### setMaxDepth

    public void setMaxDepth(java.math.BigDecimal in)

### setMinMagnitude

    public void setMinMagnitude(java.math.BigDecimal in)

### setMaxMagnitude

    public void setMaxMagnitude(java.math.BigDecimal in)

### setMinMmi

    public void setMinMmi(java.math.BigDecimal in)

### setMaxMmi

    public void setMaxMmi(java.math.BigDecimal in)

### setMinCdi

    public void setMinCdi(java.math.BigDecimal in)

### setMaxCdi

    public void setMaxCdi(java.math.BigDecimal in)

### setMinGap

    public void setMinGap(java.math.BigDecimal in)

### setMaxGap

    public void setMaxGap(java.math.BigDecimal in)

### setMinSig

    public void setMinSig(java.math.BigDecimal in)

### setMaxSig

    public void setMaxSig(java.math.BigDecimal in)

### setLimit

    public void setLimit(java.lang.Integer in)

### setOffset

    public void setOffset(java.lang.Integer in)

### setMinFelt

    public void setMinFelt(java.lang.Integer in)

### setMagnitudeType

    public void setMagnitudeType(java.lang.String in)

### setEventId

    public void setEventId(java.lang.String in)

### setEventType

    public void setEventType(java.lang.String in)

### setCatalog

    public void setCatalog(java.lang.String in)

### setContributor

    public void setContributor(java.lang.String in)

### setProductType

    public void setProductType(java.lang.String in)

### setIncludeAllOrigins

    public void setIncludeAllOrigins(java.lang.Boolean in)

### setIncludeAllMagnitudes

    public void setIncludeAllMagnitudes(java.lang.Boolean in)

### setIncludeArrivals

    public void setIncludeArrivals(java.lang.Boolean in)

### setKmlAnimated

    public void setKmlAnimated(java.lang.Boolean in)

### setOrderBy

    public void setOrderBy(OrderBy in)

### setFormat

    public void setFormat(Format in)

### setKmlColorBy

    public void setKmlColorBy(KmlColorBy in)

### setReviewStatus

    public void setReviewStatus(ReviewStatus in)

### setAlertLevel

    public void setAlertLevel(AlertLevel in)